<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iPcEnvAttractor Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iPcEnvAttractor Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iPcEnvAttractor" --><!-- doxytag: inherits="iBase" -->
<p>A property class representing an attractor or a repulsor.  
 <a href="structiPcEnvAttractor.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="mechenv_8h_source.html">propclass/mechenv.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iPcEnvAttractor:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiPcEnvAttractor.png" usemap="#iPcEnvAttractor_map" alt=""/>
  <map id="iPcEnvAttractor_map" name="iPcEnvAttractor_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,101,24"/>
</map>
 </div></div>

<p><a href="structiPcEnvAttractor-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcEnvAttractor.html#ad0754b63d96cb7815378102cafc2f4be">GetMaxRadius</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the maximum radius of the attractor's field.  <a href="#ad0754b63d96cb7815378102cafc2f4be"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcEnvAttractor.html#a68de162002662b2b63251de4512ec49c">GetStrengthAtCenter</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get magnitude of the force at the center of the attractor.  <a href="#a68de162002662b2b63251de4512ec49c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcEnvAttractor.html#aae579d3d5d0b11eaf34200c936467458">SetMaxRadius</a> (float radius)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the maximum radius of the attractor's field.  <a href="#aae579d3d5d0b11eaf34200c936467458"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcEnvAttractor.html#aed0dd1cb70e6f07ddd103917aaf02a3a">SetStrengthAtCenter</a> (float strength)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the magnitude of the force at the center of the attractor.  <a href="#aed0dd1cb70e6f07ddd103917aaf02a3a"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>A property class representing an attractor or a repulsor. </p>
<p>This property class acts on nearby entities with an iPcDynamicBody.</p>
<p>This property class supports the following properties:</p>
<ul>
<li>strength (float, read/write): the strength of the field at its center.</li>
<li>radius (float, read/write): the maximum radius at which the field affects an object. </li>
</ul>

<p>Definition at line <a class="el" href="mechenv_8h_source.html#l00044">44</a> of file <a class="el" href="mechenv_8h_source.html">mechenv.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ad0754b63d96cb7815378102cafc2f4be"></a><!-- doxytag: member="iPcEnvAttractor::GetMaxRadius" ref="ad0754b63d96cb7815378102cafc2f4be" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiPcEnvAttractor.html#ad0754b63d96cb7815378102cafc2f4be">iPcEnvAttractor::GetMaxRadius</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the maximum radius of the attractor's field. </p>

</div>
</div>
<a class="anchor" id="a68de162002662b2b63251de4512ec49c"></a><!-- doxytag: member="iPcEnvAttractor::GetStrengthAtCenter" ref="a68de162002662b2b63251de4512ec49c" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiPcEnvAttractor.html#a68de162002662b2b63251de4512ec49c">iPcEnvAttractor::GetStrengthAtCenter</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get magnitude of the force at the center of the attractor. </p>

</div>
</div>
<a class="anchor" id="aae579d3d5d0b11eaf34200c936467458"></a><!-- doxytag: member="iPcEnvAttractor::SetMaxRadius" ref="aae579d3d5d0b11eaf34200c936467458" args="(float radius)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcEnvAttractor.html#aae579d3d5d0b11eaf34200c936467458">iPcEnvAttractor::SetMaxRadius</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>radius</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the maximum radius of the attractor's field. </p>

</div>
</div>
<a class="anchor" id="aed0dd1cb70e6f07ddd103917aaf02a3a"></a><!-- doxytag: member="iPcEnvAttractor::SetStrengthAtCenter" ref="aed0dd1cb70e6f07ddd103917aaf02a3a" args="(float strength)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcEnvAttractor.html#aed0dd1cb70e6f07ddd103917aaf02a3a">iPcEnvAttractor::SetStrengthAtCenter</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>strength</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the magnitude of the force at the center of the attractor. </p>
<p>(negative creates a repulsor) </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>propclass/<a class="el" href="mechenv_8h_source.html">mechenv.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
